/*
Note: DO NOT USE IN PRODUCTION
*/


--uncomment this block to drop (if existing, and create existing database
/*
USE Master
GO
if exists (select * from sys.databases where name = 'Demo_AnalyzeAndTuneStatistics')
	ALTER DATABASE [Demo_AnalyzeAndTuneStatistics] SET  SINGLE_USER WITH ROLLBACK IMMEDIATE
GO
DROP DATABASE IF EXISTS [Demo_AnalyzeAndTuneStatistics] 
GO
CREATE DATABASE Demo_AnalyzeAndTuneStatistics

GO
*/

USE [Demo_AnalyzeAndTuneStatistics];
GO

ALTER DATABASE [Demo_AnalyzeAndTuneStatistics] SET DELAYED_DURABILITY = FORCED WITH NO_WAIT;
ALTER DATABASE [Demo_AnalyzeAndTuneStatistics] SET AUTO_UPDATE_STATISTICS OFF WITH NO_WAIT;
GO

--before going to step 2, open the file named: dbo.sp_AnalyzeAndTuneStatistics.sql in the download
--and execute it in the Demo_AnalyzeAndTuneStatistics database. It does not have a specific 
--db included so it will work in any database without changes.